com.sun.j3d.utils.behaviors.interpolators

## Class KBKeyFrame

- java.lang.Object
- - com.sun.j3d.utils.behaviors.interpolators.KBKeyFrame

    public class KBKeyFrame
    extends java.lang.Object

This class represents a Key Frame that can be used for Kochanek-Bartels (also called TCB or Tension-Continuity-Bias Splines) spline interpolation.

Since:
  Java3D 1.2

### Field Summary

Fields
`float` `bank`
`float` `bias`
`float` `continuity`
`float` `heading`
`float` `knot`
`int` `linear`
`float` `pitch`
`Point3f` `position`
`Point3f` `scale`
`float` `tension`

### Constructor Summary

Constructors
Constructor and Description
`KBKeyFrame(float k, int l, Point3f pos, float hd, float pi, float bk, Point3f s, float t, float c, float b)` Creates a key frame using the given inputs.
`KBKeyFrame(KBKeyFrame kf)`

### Method Summary

Methods
`void` `debugPrint(java.lang.String tag)` Prints information comtained in this key frame

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### position

    public Point3f position

#### heading

    public float heading

#### pitch

    public float pitch

#### bank

    public float bank

#### scale

    public Point3f scale

#### tension

    public float tension

#### continuity

    public float continuity

#### bias

    public float bias

#### knot

    public float knot

#### linear

    public int linear

### Constructor Detail

#### KBKeyFrame

    public KBKeyFrame(KBKeyFrame kf)

#### KBKeyFrame

    public KBKeyFrame(float k,
              int l,
              Point3f pos,
              float hd,
              float pi,
              float bk,
              Point3f s,
              float t,
              float c,
              float b)

Creates a key frame using the given inputs.

Parameters:
  `k` - knot value for this key frame
  `l` - the linear flag (0 - Spline Interp, 1, Linear Interp
  `pos` - the position at the key frame
  `hd` - the heading value at the key frame
  `pi` - the pitch value at the key frame
  `bk` - the bank value at the key frame
  `s` - the scales at the key frame
  `t` - tension (-1.0 < t < 1.0)
  `c` - continuity (-1.0 < c < 1.0)
  `b` - bias (-1.0 < b < 1.0)

### Method Detail

#### debugPrint

    public void debugPrint(java.lang.String tag)

Prints information comtained in this key frame

Parameters:
  `tag` - string tag for identifying debug message